Upsert Skus

Upsert your SKUs. This endpoint is combination of bulk_update and bulk_create. Product identifier is "product_external_id" (with addion of optional "product_identifier"). Sku Identifier is "sku_external_id" + "sku_identifer" ("sku_identifier" can be an empty string). If an matching SKU exists in JOOR, it will be updated. If matching SKU does not exists in JOOR, it will be created. Endpoint is async, so endpoint will return a job_id which can be used to check a status. Default limit of objects which can be sent within single request is 20.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Matching logic

Matching SKUs:

Matching existing SKU is done trhough "sku_external_id" + "sku_identifier". If you do no want to use "sku_identifier" you can send "sku_identifier" as an empty string.

  1. If existing SKU is matched by "sku_external_id" + "sku_identifier", then correspoing Color and Size will be updated.
  2. If existing SKU is NOT matched by "sku_external_id" + "sku_identifier", then we first try to match by Color Name and Size Name ( "trait_values" -> "value").
    2.1. If match is found, then we update corresponding Color and Size
    2.2. If match is not found, then we consider is't safe to craate new Color and/or Size (since there will be no name collision) and new Color and/or Size will be created.

Matching Products:

Product is matched by "product_external_id" (with addion of optional "product_identifier").

Query Params
string
required

JOOR Account ID

string

JOOR ID of the user

Body Params
Headers
string
required

Authorization token

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json